Bug 1196549 - awstats contain non-free icons
Summary: awstats contain non-free icons
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: awstats
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2015-02-26 09:14 UTC by mejiko
Modified: 2016-02-25 13:28 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-02-25 13:28:17 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 388571 None None None Never

Description mejiko 2015-02-26 09:14:17 UTC
Hello.

awstats contain non-free icons. (trademark and/or copyright)

Non-free Directory List:

"awstats-7.3/wwwroot/icon/browser"
"awstats-7.3/wwwroot/icon/clock"
"awstats-7.3/wwwroot/icon/cpu"
"awstats-7.3/wwwroot/icon/os"

There directory contain non-free icons. (E,g Windows logo, etc...) 
but there directory contain free icons. (E,g Iceweasel, etc...)


And, Missing license tag.

Directory:

awstats-7.3/wwwroot/icon/mime/


There icons licensed under CC-BY 2.5. It is free.
See: awstats-7.3/wwwroot/icon/mime/readme.txt


Suggests:

1. remove non-free icon and rebuild, and add license tag.

2. Replace Fedora free (Fedora acceptable licensed) icons, and add license tag.

3. Remove fedora repos.


thanks.


Reference: 

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=388571

Comment 1 mejiko 2015-02-26 09:14:53 UTC
Blocking FE-Legal, This is license problem.

Comment 2 Jan Kurik 2015-07-15 14:29:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 mejiko 2015-08-05 09:10:51 UTC
How it this bug current status ? 
Is this bug is resolved ?

Thanks.

Comment 4 Fedora Admin XMLRPC Client 2015-08-18 13:17:44 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Petr Lautrbach 2015-09-10 20:46:12 UTC
I'm going to fix it according to the debian fix which just replaced firefox icon if I read it correctly. But the report says there are other icons which should not be included in the package. Could you provide more specific description which icons and why should not be provided by awastat package?

Comment 6 Fedora Admin XMLRPC Client 2015-09-10 20:46:33 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 mejiko 2015-09-12 01:49:13 UTC
(In reply to Petr Lautrbach from comment #5)
> Could you provide more specific
> description which icons and why should not be provided by awastat package?

Reason: Copyright and Trademark problem.

And, I check icons, I find non-free logo.

This is part. I find many many non-free logos.
See on from this debian bug late comments.

"awstats-7.3/wwwroot/icon/browser/adobe.png" (Adobe logo)
"awstats-7.3/wwwroot/icon/browser/seamonkey.png" (Seamonkey logo)
"awstats-7.3/wwwroot/icon/os/win*.png" (Microsoft Windows logo)
"awstats-7.3/wwwroot/icon/os/macos*.png" (Apple MacOS logo)
"awstats-7.3/wwwroot/icon/cpu/intel.png" (Intel logo)
"awstats-7.3/wwwroot/icon/cpu/ibm.png" (IBM logo)

and more.

Thanks.


Reference:

https://www.adobe.com/jp/legal/permissions/trademarks.html
https://www.microsoft.com/en-us/legal/intellectualproperty/trademarks/en-us.aspx
https://www.apple.com/legal/intellectual-property/guidelinesfor3rdparties.html
https://developer.apple.com/softwarelicensing/agreements/maclogo.php
https://www-ssl.intel.com/content/www/us/en/trademarks/intel.html
https://www-ssl.intel.com/content/www/us/en/trademarks/intel-inside.html
http://www.ibm.com/legal/us/en/copytrade.shtml
http://www.seamonkey-project.org/legal/trademark

Comment 8 Jan Kurik 2016-02-24 13:21:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 9 mejiko 2016-02-25 08:56:41 UTC
Is this bug is resolved ?

Thanks.

Comment 10 Petr Lautrbach 2016-02-25 13:28:17 UTC
Icons listed in https://bugzilla.redhat.com/show_bug.cgi?id=1196549#c7 were replaced by unknown.png in awstats-7.4-3.fc25 and awstats-7.4-3.fc24


Note You need to log in before you can comment on or make changes to this bug.